
# 获取每一个时间段的top20 持仓，汇总到一个excel表格中
import pandas as pd
import sys
import os
import time

arr_file = []
merged_df = None
def makeurl( url,url_show):
    return '=HYPERLINK("{}","{}")'.format(url,  url_show)
def handle_df_fun():
    
    global arr_file , merged_df 
    for index, file in enumerate(arr_file):
        cur_df =   pd.read_csv(file )
        cur_df =cur_df.astype({
            "trader_number":int,
        })

        if index==0 :
            merged_df = cur_df
            continue

    merged_df["gmgn"] = merged_df.apply(lambda ser: makeurl(
    f"https://gmgn.ai/sol/token/{ser['token_address']}" , "gmgn" ), axis=1)

    merged_df["defined"] = merged_df.apply(lambda ser: makeurl(
     f"https://www.defined.fi/sol/{ser['token_address']}" , "defined" ), axis=1)
    
    merged_df["beizhu"] = None
    merged_df["lasheng_time"] =None
    merged_df=merged_df[['token_address', 'trader_number',  'min_block_time','max_block_time' , 
     'create_time','lasheng_time',	'gmgn',	'defined'	,'beizhu' ]]

 

    merged_df.to_excel(f'002_dune_buy_sametoken_{int(time.time())}.xlsx', index=False)
    return
 
    

if __name__ == "__main__":
 
 
    arr_file = os.listdir(os.getcwd())
  
    arr_file = [file for file in arr_file if "dune_buy_sametoken_" in file and file.endswith(".csv")]
 
    arr_file.sort()
    print("read file: ",arr_file)
    
    handle_df_fun()
 
    